<div class="top-section">
  <mat-tab-group (selectedIndexChange)="changeTab($event)">
    <mat-tab label="Binance API"></mat-tab>
    <mat-tab label="Working API (BTC_ETH)"></mat-tab>
  </mat-tab-group>
</div>

<div id="chart" class="chart-container">
  <div *ngIf="page === 'binance'">
    <div class="chip-holder">
      <mat-chip-list aria-label="Symbol Selection">
        <mat-chip *ngFor="let element of binanceData" [selected]="selectedElement.value === element.symbol" (click)="selectedElement.setValue(element.symbol)">{{element.symbol}}</mat-chip>
      </mat-chip-list>
    </div>

    <mat-card *ngIf="selectedElement.value && displayValue" style="margin: 30px">
      <h1>{{displayValue.symbol}}</h1>
      <ul>
        <li><b>Open Price:</b> {{displayValue.openPrice}}</li>
        <li><b>High Price:</b> {{displayValue.highPrice}}</li>
        <li><b>Low Price:</b> {{displayValue.lowPrice}}</li>
        <li><b>Last Price:</b> {{displayValue.lastPrice}}</li>
      </ul>
    </mat-card>
  </div>
  <div *ngIf="page === 'custom'">
    <div id="chart-canvas" class="demo-chart"></div>
  </div>
</div>
